package singlejartest;

import javafx.application.Application;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Separator;
import javafx.scene.control.ToolBar;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;

public class App extends Application {

	private boolean hasStarted = false;
	
	@Override
	public void start(Stage primaryStage) throws Exception {
		VBox root = new VBox();
		
		ToolBar toolbar = new ToolBar();
		
		final Button btnStart = new Button("Start");
		btnStart.setOnAction(new EventHandler<ActionEvent>() {
			@Override
			public void handle(ActionEvent event) {
				if(hasStarted) {
					Dukascopy.Stop();
					hasStarted = false;
					btnStart.setText("Start");
				}
				else {
					try {
						Dukascopy.Start();
					} catch (Exception e) {
						e.printStackTrace();
					}
					hasStarted = true;
					btnStart.setText("Stop");
				}
			}
		});
		toolbar.getItems().add(btnStart);
		
		toolbar.getItems().add(new Separator());
		
		Button btnChart = new Button("Chart");
		btnChart.setOnAction(new EventHandler<ActionEvent>() {
			@Override
			public void handle(ActionEvent event) {
				ChartStage chartStage = new ChartStage();
				chartStage.show();
			}
		});
		toolbar.getItems().add(btnChart);

		Button btnTerminal = new Button("Terminal");
		btnTerminal.setOnAction(new EventHandler<ActionEvent>() {
			
			@Override
			public void handle(ActionEvent arg0) {
				TerminalStage terminal = new TerminalStage();
				terminal.show();
			}
		});
		toolbar.getItems().add(btnTerminal);
		
		root.getChildren().add(toolbar);
		
		primaryStage.setScene(new Scene(root));
		primaryStage.setTitle("Flow Rider - Data Server: Dukascopy");
		primaryStage.show();
	}

	public static void main(String[] args) {
		launch(args);
	}
}
