package singlejartest;

import java.util.HashMap;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;

import com.dukascopy.api.Instrument;

import singlejartest.data.Tick;

public class DataCenter {
	public static String[] TIMEFRAMES = { "M1", "M2", "M3", "M5", "M10", "M15" };
	
	public static String[] CURRENCIES = {
	        "USD", "JPY", "EUR", "CHF", "GBP", "AUD", "CAD"
	    };

	    public static String[] PAIRS = {
	        "EUR/USD", "EUR/JPY", "EUR/CHF", "EUR/GBP",
	        "GBP/CHF", "GBP/USD", "GBP/JPY",
	        "USD/JPY", "USD/CHF",
	        "CHF/JPY",
	        "AUD/NZD", "AUD/USD", "AUD/JPY", "AUD/CHF" , "EUR/AUD", "GBP/AUD",
	        "USD/CAD", "CAD/JPY", "EUR/CAD", "CAD/CHF", "GBP/CAD"
	    };
	     
	    // COMMONDITY
	    public static String[] CAD_Pairs = { "USD/CAD", "CAD/JPY", "EUR/CAD", "GBP/CAD", "CAD/CHF"};
	    public static String[] AUD_Pairs = { "EUR/AUD", "GBP/AUD", "AUD/CHF", "AUD/USD", "AUD/JPY", "AUD/NZD" };
	    
	    // BASE
	    public static String[] USD_Pairs = {"EUR/USD", "GBP/USD", "USD/CHF", "USD/JPY", "USD/CAD", "AUD/USD"};
	    public static String[] JPY_Pairs = {"USD/JPY", "EUR/JPY", "CHF/JPY", "GBP/JPY", "CAD/JPY", "AUD/JPY"};
	    public static String[] EUR_Pairs = {"EUR/USD", "EUR/JPY", "EUR/CHF", "EUR/GBP", "EUR/CAD", "EUR/AUD"};
	    public static String[] CHF_Pairs = {"EUR/CHF", "GBP/CHF", "USD/CHF", "CHF/JPY", "CAD/CHF", "AUD/CHF"};
	    public static String[] GBP_Pairs = {"EUR/GBP", "GBP/CHF", "GBP/USD", "GBP/JPY", "GBP/CAD", "GBP/AUD"};
	    public static int BASE_COUNT = 4;
	    public static int BASE_CAD_Index = 4;
	    public static int BASE_AUD_Index = 5;
	    
	    public static Set<Instrument> PairSet = new HashSet<>();
	    
	    public static Map<String, Tick> TickData = new HashMap<>();
	    
	    public static Map<String, String[]> PairsByCCy = new HashMap<>();
	    
	    public static void Load() {
	    	for (String pair : PAIRS) {
	    		PairSet.add(Instrument.fromString(pair));
	    		TickData.put(pair, new Tick());
			}
	    	
	    	PairsByCCy.put("USD", USD_Pairs);
	    	PairsByCCy.put("JPY", JPY_Pairs);
	    	PairsByCCy.put("EUR", EUR_Pairs);
	    	PairsByCCy.put("CHF", CHF_Pairs);
	    	PairsByCCy.put("GBP", GBP_Pairs);
	    	PairsByCCy.put("CAD", CAD_Pairs);
	    	PairsByCCy.put("AUD", AUD_Pairs);
	    }
}
