package singlejartest;

import javafx.event.EventHandler;
import javafx.scene.Scene;
import javafx.scene.control.TextArea;
import javafx.scene.input.KeyCode;
import javafx.scene.input.KeyEvent;
import javafx.scene.layout.VBox;
import javafx.scene.text.Font;
import javafx.stage.Stage;

public class TerminalStage extends Stage {

	public TerminalStage() {
		super();
		
		setTitle("Terminal");
		initUI();
	}
	
	private void initUI() {
		VBox root = new VBox();
		
		final TextArea textArea = new TextArea();
		textArea.setFont(new Font("Input", 16));
		textArea.setText(">");
		textArea.positionCaret(1);
		textArea.setOnKeyReleased(new EventHandler<KeyEvent>() {
			@Override
			public void handle(KeyEvent keyEvent) {
				if(keyEvent.getCode() == KeyCode.ENTER) {
					textArea.appendText(">");
				}
			}
		});
		root.getChildren().add(textArea);
		
		setScene(new Scene(root));
	}
}
